import ReadingLogEntryEditModalView from "./ReadingLogEntryEditModalView.svelte";
import type { ReadingLogEntry } from "@utils/ReadingLog";
import { SvelteModal } from "./SvelteModal";
import type BookTrackerPlugin from "@src/main";

export class ReadingLogEntryEditModal extends SvelteModal<
	typeof ReadingLogEntryEditModalView
> {
	constructor(
		plugin: BookTrackerPlugin,
		onSubmit: (entry: ReadingLogEntry) => void,
		entry?: ReadingLogEntry
	) {
		super(plugin.app, ReadingLogEntryEditModalView, {
			plugin,
			entry,
			onSubmit: (entry: ReadingLogEntry) => {
				onSubmit(entry);
				this.close();
			},
		});
	}
}
