export interface BookTrackerSettings {
	bookFolder: string;
	tbrFolder: string;
	readBooksFolder: string;
	organizeReadBooks: boolean;
	templateFile: string;
	fileNameFormat: string;
	downloadCovers: boolean;
	coverFolder: string;
	groupCoversByFirstLetter: boolean;
	overwriteExistingCovers: boolean;
	titleProperty: string;
	subtitleProperty: string;
	descriptionProperty: string;
	authorsProperty: string;
	seriesTitleProperty: string;
	seriesPositionProperty: string;
	startDateProperty: string;
	endDateProperty: string;
	statusProperty: string;
	ratingProperty: string;
	spiceProperty: string;
	formatProperty: string;
	sourceProperty: string;
	categoriesProperty: string;
	publisherProperty: string;
	publishDateProperty: string;
	pageCountProperty: string;
	isbnProperty: string;
	coverImageUrlProperty: string;
	localCoverPathProperty: string;
}

export const DEFAULT_SETTINGS: BookTrackerSettings = {
	bookFolder: "books",
	tbrFolder: "books/tbr",
	readBooksFolder: "books/read",
	organizeReadBooks: true,
	templateFile: "",
	fileNameFormat: "{{title}} - {{authors}}",
	downloadCovers: false,
	coverFolder: "images/covers",
	groupCoversByFirstLetter: true,
	overwriteExistingCovers: false,
	titleProperty: "title",
	subtitleProperty: "subtitle",
	descriptionProperty: "description",
	authorsProperty: "authors",
	seriesTitleProperty: "seriesTitle",
	seriesPositionProperty: "seriesPosition",
	startDateProperty: "startDate",
	endDateProperty: "endDate",
	statusProperty: "status",
	ratingProperty: "rating",
	spiceProperty: "",
	formatProperty: "type",
	sourceProperty: "source",
	categoriesProperty: "categories",
	publisherProperty: "publisher",
	publishDateProperty: "publishDate",
	pageCountProperty: "pageCount",
	isbnProperty: "isbn",
	coverImageUrlProperty: "coverImageUrl",
	localCoverPathProperty: "localCoverPath",
};
